Bug 1247876 - All plugins and bindings in main package, libelektratools in -devel package
All plugins and bindings in main package, libelektratools in -devel package
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: elektra (Show other bugs)
27
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 03:15 EDT by Adam Williamson
Modified: 2017-08-15 02:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:03:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-07-29 03:15:47 EDT
I've just been fixing up the elektra package to build in current Rawhide. I think I've done the minimum necessary, but the package looks frankly pretty badly constructed to me.

Compared to the Debian package:

https://packages.debian.org/source/sid/elektra

and this OBS package:

https://build.opensuse.org/package/show/home:bekun:devel/elektra

there are all sorts of suspect things in our build. Why are all the plugins and bindings built - then stuffed in the main package alongside the library (and the binaries, which perhaps should be separated from the main library)? This causes the package to have quite a lot of dependencies that ought to be split into subpackages. libelektratools.so is included in the -devel package, but from the Debian package it looks like the tools in libdir/elektra/tool_exec depend on it.

That's just scratching the surface; basically this package looks like it either needs a lot of love or possibly should just be retired in favour of the OBS one...
Comment 1 Christopher Meng 2015-07-29 03:40:36 EDT
I never check OBS to write my own spec because Fedora policies don't work there, and the way they package might be worse than mine.

And what caught my eyes of this bug is that based on the 0.8.12 update to this package I need to revise the spec.
Comment 2 Adam Williamson 2015-07-29 03:43:14 EDT
All the things I mentioned were already the case in 0.8.7, AFAICS.

You can't just copy spec files from elsewhere wholesale, but it's never a bad idea to look at what other packagers of the same software are doing. The OBS package was built with guidance from upstream, who seem to consider the Debian packages high quality:

https://sourceforge.net/p/registry/mailman/message/34117950/
Comment 3 Jan Kurik 2016-02-24 10:30:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Admin XMLRPC Client 2016-02-26 12:37:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2017-07-25 15:03:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:03:24 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Adam Williamson 2017-08-10 21:04:16 EDT
Since I filed this bug, the .so file has been moved to the main package, but nothing else has been done (plugins and bindings haven't been separated, for e.g.)
Comment 8 Jan Kurik 2017-08-15 02:26:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.